%define	enable_japanese	1
%define	ptex_src_ver	3.1.3
%define	mendexk_ver	2.5
%define desktop_file_utils_version 0.9

%define build_latex2html 1
%define latex2html_ver	2002-2-1

Summary: The TeX text formatting system.
Name: tetex
Version: 2.0.2
Release: 22.0.1.EL4.10.XOS.1
License: distributable
Group: Applications/Publishing
Requires: tmpwatch, dialog, ed
Prereq: /sbin/install-info /usr/bin/env
Source0: ftp://dante.ctan.org/pub/tex/systems/unix/teTeX/2.0/distrib/tetex-src-2.0.2.tar.bz2
Source1: ftp://dante.ctan.org/pub/tex/systems/unix/teTeX/2.0/distrib/tetex-texmf-2.0.2.tar.bz2
Source2: ftp://dante.ctan.org/pub/tex/systems/unix/teTeX/2.0/distrib/tetex-texmfsrc-2.0.2.tar.bz2
Source3: tetex.cron

# XXX texi2html probably should be spun off into a separate package
Source4: http://www.mathematik.uni-kl.de/~obachman/Texi2html/Distrib/texi2html-1.64.tar.gz

# XXX latex2html probably should be spun off into a separate package
Source5: http://www.tex.ac.uk/tex-archive/support/latex2html/latex2html-%{latex2html_ver}.tar.gz
Source6: cfgcache.pm

Source7: ftp://ftp.ascii.co.jp/pub/TeX/ascii-ptex/tetex/ptex-texmf-2.1.tar.gz
Source8: ftp://ftp.ascii.co.jp/pub/TeX/ascii-ptex/tetex/ptex-src-%{ptex_src_ver}.tar.gz
Source9: ftp://ftp.ascii.co.jp/pub/TeX/ascii-ptex/dvips/dvipsk-jpatch-p1.6.tar.gz
Source11: dvipsk-jfontimage.tar.gz
Source12: japanese.map

# Update varioref (bug #118821).
Source13: varioref-1.4i.tar.bz2

# mendexk: makeindex for Japanese
Source50: ftp://ftp.ascii.co.jp/pub/TeX/ascii-ptex/mendex/mendexk%{mendexk_ver}.tar.gz

# Filter out bad requirements (bug #59819).
Source99: tetex-filter-requires.sh
%define __perl_requires %{SOURCE99}

######
# Red Hat-specific teTeX configuration patches
######

Patch0: teTeX-1.0-varconfig.patch  
Patch1: tetex-2.0.2-texmfcnf.patch
Patch2: tetex-2.0.2-fmtutil.patch
Patch3: teTeX-texmf-dvipsgeneric.diff
Patch4: tetex-2.0.2-texdoc-defaults.patch

######
# teTeX patches
######

Patch10: tetex-2.0.2-dvipdfm-security.patch
Patch11: tetex-2.0.2-badscript.patch
Patch12: marvosym-rightarrow.patch
Patch13: xdvik-xdvi-resources.patch
Patch14: tetex-1.0.7-old.patch
Patch15: tetex-2.0.2-nostrip.patch
Patch16: tetex-2.0.2-xpdf.patch
Patch17: tetex-2.0-xaw3d.patch
Patch18: tetex-badc.patch
Patch19: tetex-makej.patch
# security patches related to xpdf overflows
Patch20: tetex-2.0.2-CAN-2004-0888.patch
Patch21: tetex-2.0.2-CAN-2004-1125.patch
Patch22: tetex-2.0.2-CAN-2005-0064.patch
Patch23: tetex-2.0.2-CVE-2005-3193.patch
Patch24: tetex-2.0.2-CVE-2007-3387.patch
Patch25: tetex-2.0.2-CVE-2007-4033.patch
Patch26: tetex-2.0.2-CVE-2007-5393.patch

######
# latex2html patches
######

Patch50: latex2html-2K.1beta-tabularx.patch
Patch51: teTeX-l2h-config.patch
# http://takeno.iee.niit.ac.jp/~shige/TeX/latex2html/data/l2h-2002-2-1+jp2.0.patch
Patch52: l2h-2002-2-1+jp2.0.patch
Patch54: latex2html-2K.1beta-DB.patch
Patch55: l2h-2002-2-1+jp2.0+eh3.01.patch

######
# Japanese patches
######

Patch100: dvipsk-jdvips.patch

# Patch from bug #xxxxx, based on
# http://www.nn.iij4u.or.jp/~tutimura/tex/xdvik-22.40v-j1.17.patch.gz
Patch101: xdvik-22.40v-j1.17_for_tetex-2.0.patch.gz

Patch103: tetex-2.0-reautoconf.patch
Patch104: pxdvik-make-input.patch
Patch106: tetex-2.0.2-pxdvi.patch
Patch107: xdvik-22.15-j1.03-resources.patch
Patch108: xdvik_for_tetex_1.0.7.diff
Patch109: ptex-3.1.2-prerq.patch
Patch110: tetex-2.0.2-sedscript.patch
Patch111: mendexk2.5-kpathsea.patch

URL: http://www.tug.org/teTeX/
BuildRoot: %{_tmppath}/%{name}-root
Requires: tetex-fonts = %{version}
Obsoletes: tetex-texmf-src

%if %{enable_japanese}
Obsoletes: pTex, pTex-MetaFont, pTeX-MetaPost
%endif

BuildPreReq: bison flex perl XFree86-devel libpng-devel ncurses-devel zlib-devel
BuildPreReq: w3c-libwww-devel VFlib2-devel Xaw3d-devel textutils
BuildPreReq: desktop-file-utils >= %{desktop_file_utils_version}
BuildPreReq: autoconf213
PreReq: desktop-file-utils >= %{desktop_file_utils_version}
BuildPreReq: ed

%description
TeTeX is an implementation of TeX for Linux or UNIX systems. TeX takes
a text file and a set of formatting commands as input and creates a
typesetter-independent .dvi (DeVice Independent) file as output.
Usually, TeX is used in conjunction with a higher level formatting
package like LaTeX or PlainTeX, since TeX by itself is not very
user-friendly.

Install tetex if you want to use the TeX text formatting system. If
you are installing tetex, you will also need to install tetex-afm (a
PostScript(TM) font converter for TeX),
tetex-dvips (for converting .dvi files to PostScript format
for printing on PostScript printers), tetex-latex (a higher level
formatting package which provides an easier-to-use interface for TeX),
and tetex-xdvi (for previewing .dvi files in X). Unless you are an
expert at using TeX, you should also install the tetex-doc package,
which includes the documentation for TeX.

%package latex
Summary: The LaTeX front end for the TeX text formatting system.
Group: Applications/Publishing
Requires: tetex = %{version}, tetex-dvips = %{version}
Requires: netpbm-progs
BuildRequires: ghostscript netpbm-progs
%if %{enable_japanese}
Obsoletes: pLaTeX2e, pLaTeX2e-pLaTeX209, pLaTeX2e-tfms
%endif

%description latex
LaTeX is a front end for the TeX text formatting system. Easier to
use than TeX, LaTeX is essentially a set of TeX macros which provide
convenient, predefined document formats for users.

If you are installing tetex, so that you can use the TeX text
formatting system, you will also need to install tetex-latex. In
addition, you will need to install tetex-afm (for converting
PostScript font description files),
tetex-dvips (for converting .dvi files to PostScript format for
printing on PostScript printers), and tetex-xdvi (for previewing .dvi
files in X). If you are not an expert at TeX, you should also install
the tetex-doc package, which contains documentation for TeX.

%package xdvi
Summary: An X viewer for DVI files.
Group: Applications/Publishing
Requires: tetex-dvips = %{version}
PreReq: desktop-file-utils >= %{desktop_file_utils_version}
%if %{enable_japanese}
Obsoletes: xdvik
%endif

%description xdvi
Xdvi allows you to preview the TeX text formatting system's output
.dvi files on an X Window System.

If you are installing tetex, so that you can use the TeX text
formatting system, you will also need to install tetex-xdvi. In
addition, you will need to install tetex-afm (a PostScript font
converter for TeX), tetex-dvips
(for converting .dvi files to PostScript format for printing on
PostScript printers), and tetex-latex (a higher level formatting
package which provides an easier-to-use interface for TeX). If you are
not a TeX expert, you will probably also want to install the tetex-doc
package, which contains documentation for the TeX text formatting
system.

%package dvips
Summary: A DVI to PostScript converter for the TeX text formatting system.
Group: Applications/Publishing
Requires: tetex-fonts = %{version}
Requires: psutils

%description dvips
Dvips converts .dvi files produced by the TeX text formatting system
(or by another processor like GFtoDVI) to PostScript(TM) format.
Normally the PostScript file is sent directly to your printer.

If you are installing tetex, so that you can use the TeX text
formatting system, you will also need to install tetex-dvips. In
addition, you will need to install tetex-afm (for converting
PostScript font description files),
tetex-latex (a higher level formatting package which provides an
easier-to-use interface for TeX), and tetex-xdvi (for previewing .dvi
files in X). If you are installing TeX and you are not an expert at
it, you should also install the tetex-doc package, which contains
documentation for the TeX system.

%package afm
Summary: A converter for PostScript(TM) font metric files, for use with TeX.
Group: Applications/Publishing

%description afm
Tetex-afm provides afm2tfm, a converter for PostScript font metric
files. PostScript fonts are accompanied by .afm font metric files
which describe the characteristics of each font. To use PostScript
fonts with TeX, TeX needs .tfm files that contain similar information.
Afm2tfm will convert .afm files to .tfm files.

If you are installing tetex in order to use the TeX text formatting
system, you will need to install tetex-afm. You will also need to
install tetex-dvips (for
converting .dvi files to PostScript format for printing on PostScript
printers), tetex-latex (a higher level formatting package which
provides an easier-to-use interface for TeX), and tetex-xdvi (for
previewing .dvi files in X). Unless you are an expert at using TeX,
you should also install the tetex-doc package, which includes
documentation for TeX.

%package fonts
Summary: The font files for the TeX text formatting system.
Group: Applications/Publishing
%if %{enable_japanese}
Obsoletes: pTeX-jtfms, pTeX-tfms
%endif

%description fonts
The tetex-fonts package contains fonts used by both the Xdvi previewer and
the TeX text formatting system.

You will need to install tetex-fonts if you wish to use either tetex-xdvi
(for previewing .dvi files in X) or the tetex package (the core of the TeX
text formatting system).

%package doc
Summary: The documentation files for the TeX text formatting system.
Group: Documentation

%description doc
The tetex-doc package contains documentation for the TeX text
formatting system.

If you want to use TeX and you are not an expert at it, you should
install the tetex-doc package. You also need to install the tetex
package, tetex-afm (a PostScript font converter for TeX),
tetex-dvips (for converting .dvi files to
PostScript format for printing on PostScript printers), tetex-latex (a
higher level formatting package which provides an easier-to-use
interface for TeX), and tetex-xdvi (for previewing .dvi files).

%prep
%setup -q -n tetex-src-%{version} -a 4 -a 5
mkdir texmf
bzip2 -cd %{SOURCE1} | tar xf - -C texmf

# Add missing listings.sty (bug #108425).
bzip2 -cd %{SOURCE2} | tar xf - -O source/latex/listings/listings.sty > \
  texmf/tex/latex/listings/listings.sty

# Update varioref (bug #118821).
bzip2 -cd %{SOURCE13} | tar xf -

# Needed for installing other files in texmf (bug #89478).
rm -f texmf/ls-R

######
# Red Hat-specific teTeX configuration patches
######

%patch0 -p1 -b .varconfig
%patch1 -p1 -b .texmfcnf
%patch2 -p1 -b .fmtutil
%patch3 -p1

# Update texdoc default helper applications (bug #55874)
%patch4 -p1 -b .texdoc-defaults

######
# teTeX patches
######

# Don't use tmpnam() in dvipdfm.
%patch10 -p1 -b .dvipdfm-security

# Fix marvosym.sty (bug #58025)
%patch12 -p1 -b .rightarrow

# Make xdvi prettier (#17415).
%patch13 -p1

# Prevent LaTeX from dying of old age.
%patch14 -p1

# Don't strip binaries in 'make install'.
%patch15 -p1 -b .nostrip

# Fix xpdf library.
%patch16 -p1 -b .xpdf

# Use Xaw3d (bug #86561).
%patch17 -p1 -b .xaw3d

# Fix bad C code (bug #111278).
%patch18 -p1 -b .badc

# Fix parallel builds.
%patch19 -p1 -b .makej

# CAN-2004-0888 fix
%patch20 -p1 -b .CAN-2004-0888

# CAN-2004-1125 fix
%patch21 -p1 -b .CAN-2004-1125

# CAN-2005-64 fix
%patch22 -p1 -b .CAN-2004-0064

# CVE-2005-3193 vulnerabilities fix
%patch23 -p1 -b .CVE-2005-3193

# CVE-2007-3387 xpdf integer overflow fix
%patch24 -p1 -b .CVE-2007-3387

# fix t1lib flaw CVE-2007-4033 (#356691)
%patch25 -p1 -b .CVE-2007-4033

# fix CVE-2007-4352 CVE-2007-5392 CVE-2007-5393, various xpdf flaws (#356691)
%patch26 -p1 -b .CVE-2007-5393


######
# latex2html patches
######

pushd latex2html-%{latex2html_ver}
# patch latex2html to support tabularx environments better
%patch50 -p1

# Patch from Oliver Paukstadt <oliver.paukstadt@millenux.com>
%patch51 -p2 -b .cfg

# JA patch for latex2html (bug #61136).
%patch52 -p1 -b .jp

# Fix latex2html not to use DB_File
%patch54 -p2

# Make "english" the default language
%patch55 -p0
popd

%if %{enable_japanese}
tar zxf %{SOURCE7} -C texmf/
tar zxf %{SOURCE8} -C texk/web2c/

# set up Japanese dvips (separately, bug #46785)
mkdir pdvipsk
tar zxf %{SOURCE9} -C pdvipsk
cp -lR texk/dvipsk texk/pdvipsk
patch -d texk/pdvipsk -p1 < pdvipsk/dvipsk-5.92b-p1.6.patch
cp -a texmf/dvips texmf/pdvips
patch -d texmf/pdvips/pstricks -p0 < pdvipsk/PSTricks.patch
%patch100 -p1
# Do the equivalent of updmap here to enable japanese.map.  But we
# can't actually run updmap itself, since it modifies the wrong config
# file and doesn't run inside a build root.
cp %{SOURCE12} texmf/pdvips/config/japanese.map
pushd texmf/pdvips/config
for map in pdftex_*.map ps2pk.map psfonts_*.map
do
  mv -f ${map} ${map}.orig
  sed -e '/^[^%]/,$d' ${map}.orig > ${map}
  sed -e '/^%/d' ${map}.orig > ${map}.tmp
  LC_COLLATE=C sort ${map}.tmp japanese.map >> ${map}
  rm -f ${map}.orig ${map}.tmp
done
for map in dvipdfm_*.map
do
  mv -f ${map} ${map}.orig
  sed -e '/^[^%]/,$d' ${map}.orig > ${map}
  sed -e '/^%/d' ${map}.orig > ${map}.tmp
  sed -e 's/^\([^ ]*\) \+/\1 default /' japanese.map | \
	LC_COLLATE=C sort ${map}.tmp - >> ${map}
  rm -f ${map}.orig ${map}.tmp
done
popd

# set up Japanese xdvi
cp -var texk/xdvik texk/pxdvik

# Recreated configure script with autoconf 2.13 for libwww detection
%patch103 -p1

pushd texk/pxdvik
%patch101 -p3

# Make pxdvi generate fonts (bug #55883)
%patch104 -p3
popd

find texk/pxdvik/ -perm 0 -exec chmod +w {} \;

# set up Japanese oxdvi
mkdir  texk/poxdvik
pushd texk/poxdvik
ln -s ../pxdvik/* .
popd
rm texk/poxdvik/{Makefile.in,c-auto.in,xdvi-sh}
cp -f texk/pxdvik/{Makefile.in,c-auto.in,xdvi-sh} texk/poxdvik

# Don't use PID for temporary file names in scripts (bug #41269)
#%patch105 -p1

%patch106 -p1 -b .pxdvi

# change XDvi resource file
%patch107 -p1

%patch108 -p1

%patch109 -p1 -b .prerq

# Allow build directory to contain '_'.
%patch110 -p1 -b .sedscript

# set up mendexk
tar zxf %{SOURCE50} -C texk
pushd texk/mendexk%{mendexk_ver}
%patch111 -p1
popd

%endif

# Don't use PID for temporary file names in scripts (bug #41269)
%patch11 -p1 -b .badscript

%build
unset TEXINPUTS || :
unset HOME || :

sh ./reautoconf

# like libtoolize, but different
for file in config.sub config.guess ; do
  for place in `find . -type f -name $file` ; do
     cp -f /usr/share/libtool/$file $place
  done
done

%configure \
	--with-system-ncurses \
	--with-system-zlib \
	--with-system-pnglib \
	--with-system-wwwlib --with-libwww-include=%{_includedir}/w3c-libwww \
	--disable-multiplatform --without-dialog --without-texinfo \
	--with-x-toolkit=xaw3d --datadir=%{_datadir} 

# Avoid pollution from internal libraries.
rm -rf ./libs/{ncurses,zlib,libpng,libwww}

# XXX Hacks to avoid accidental version clashs with system libraries.
mkdir -p ./libs/zlib
cp %{_includedir}/{zconf,zlib}.h ./libs/zlib
mkdir -p ./libs/libpng
cp %{_includedir}/{png,pngconf}.h ./libs/libpng

# update to texi2html-1.64 (#20604).
pushd texi2html-1.64
%configure
popd

# add latex2html (#16966).
%if %{build_latex2html}
pushd latex2html-%{latex2html_ver}
cp %SOURCE6 cfgcache.pm
%configure 
perl -pi -e"s,/usr/(share/)?lib,%{_datadir}," cfgcache.pm
popd
%endif

make %{?_smp_mflags}

# update to texi2html-1.64 (#20604).
make -C texi2html-1.64 %{?_smp_mflags}

# add latex2html (#16966).
%if %{build_latex2html}
make -C latex2html-%{latex2html_ver} %{?_smp_mflags}
%endif

%if %{enable_japanese}
pushd texk/web2c/ptex-src-%{ptex_src_ver}
./configure EUC
make texmf=../../../texmf
popd

# mendexk build
pushd texk/mendexk%{mendexk_ver}
make
popd
%endif

%install
unset TEXINPUTS || :
unset HOME || :
rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/texmf
mkdir -p ${RPM_BUILD_ROOT}/var/lib/texmf
tar cf - texmf | tar xf - -C ${RPM_BUILD_ROOT}%{_datadir}

%makeinstall \
	texmf=${RPM_BUILD_ROOT}%{_datadir}/texmf \
	texmfmain=${RPM_BUILD_ROOT}%{_datadir}/texmf

# update to texi2html-1.64 (#20604).
pushd texi2html-1.64
%makeinstall
popd

# add latex2html (#16966).
%if %{build_latex2html}
pushd latex2html-%{latex2html_ver}
perl -pi -e"s,%{_bindir},${RPM_BUILD_ROOT}%{_bindir}," cfgcache.pm
perl -pi -e"s,%{_datadir}/latex2html,${RPM_BUILD_ROOT}%{_datadir}/latex2html," cfgcache.pm
perl -pi -e"s,%{_datadir}/texmf,${RPM_BUILD_ROOT}%{_datadir}/texmf," cfgcache.pm
/usr/bin/perl config/install.pl
rm -f %{buildroot}%{_datadir}/latex2html/versions/table.pl.orig
install -m0644 *.pm %{buildroot}%{_datadir}/latex2html
perl -pi -e"s,$RPM_BUILD_ROOT,," %{buildroot}%{_datadir}/latex2html/cfgcache.pm
popd
%endif

%if %{enable_japanese}
pushd texk/web2c/ptex-src-%{ptex_src_ver}
%makeinstall prefix=${RPM_BUILD_ROOT}%{_prefix} \
	texmf=${RPM_BUILD_ROOT}%{_datadir}/texmf \
	texmfmain=${RPM_BUILD_ROOT}%{_datadir}/texmf
# XXX FIXME in Makefile.in for pTeX
ln -s virptex ${RPM_BUILD_ROOT}%{_bindir}/platex209
popd
tar zxf %{SOURCE11} -C ${RPM_BUILD_ROOT}

# mendexk install
pushd texk/mendexk%{mendexk_ver}
install -m 755 mendex ${RPM_BUILD_ROOT}%{_bindir}
mv mendex.1 mendex.1.eucjp
iconv -f euc-jp -t utf-8 mendex.1.eucjp -o mendex.1
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/ja/man1
install -m 644 mendex.1 ${RPM_BUILD_ROOT}%{_mandir}/ja/man1
mkdir ${RPM_BUILD_ROOT}%{_datadir}/texmf/doc/mendexk
install -m 644 COPYRIGHT* ChangeLog README ${RPM_BUILD_ROOT}%{_datadir}/texmf/doc/mendexk
popd
%endif

# Create symlinks for Euler fonts (#9782)
pushd ${RPM_BUILD_ROOT}%{_datadir}/texmf/tex/latex/amsfonts
for i in ex f r s ; do
  ln -sf ueu${i}.fd Ueu${i}.fd
done
popd

# Don't ship CVS internal files (bug #60055).
rm -f ${RPM_BUILD_ROOT}%{_datadir}/texmf/ptex/platex/base/.cvsignore

# Try to fix up pdftex.map a little (bug #60164).
# .. properly (bug #1126311).
perl -pi -e 's/^rtxphvbo.*$/rtxphvbo Helvetica-BoldOblique <8r.enc/;
	s/^rtxphvro.*$/rtxphvro Helvetica-Oblique <8r.enc/;
	s/^rtxptmro.*$/rtxptmro NimbusRomNo9L-Regu "0.167 SlantFont" <n021003l.pfb 8r.enc/;
	s/^rtxptmbo.*$/rtxptmbo NimbusRomNo9L-Medi "0.167 SlantFont" <n021004l.pfb 8r.enc/' \
	${RPM_BUILD_ROOT}%{_datadir}/texmf/dvips/config/pdftex.map \
	${RPM_BUILD_ROOT}%{_datadir}/texmf/pdvips/config/pdftex.map

#move the man pages
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
[ -e "${RPM_BUILD_ROOT}%{_mandir}/dvips.1" ] && \
    mv ${RPM_BUILD_ROOT}%{_mandir}/*.1 ${RPM_BUILD_ROOT}%{_mandir}/man1 


rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir
gzip -9nf ${RPM_BUILD_ROOT}%{_infodir}/*info*

mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/cron.daily
install -m755 %{SOURCE3} ${RPM_BUILD_ROOT}%{_sysconfdir}/cron.daily

# Don't ship unneeded log files (bug #65689).
rm -f ${RPM_BUILD_ROOT}%{_datadir}/texmf/web2c/*.log

# Remove things we don't package.
rm -f	$RPM_BUILD_ROOT%{_bindir}/dvilj* \
	$RPM_BUILD_ROOT%{_mandir}/*/dvilj* \
	$RPM_BUILD_ROOT%{_bindir}/readlink \
	$RPM_BUILD_ROOT%{_mandir}/*/readlink* \
	$RPM_BUILD_ROOT%{_datadir}/texmf/web2c/texmf.cnf.orig \
	$RPM_BUILD_ROOT%{_datadir}/texmf/xdvi/XDvi.orig \
	$RPM_BUILD_ROOT%{_datadir}/texmf/tex/latex/base/latex.ltx.orig
rm -rf	$RPM_BUILD_ROOT%{_prefix}/html

# Compress man pages
[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

### Files list
find ${RPM_BUILD_ROOT} -type f -or -type l | \
	sed -e "s,${RPM_BUILD_ROOT},,g" | \
	grep -v "^%{_sysconfdir}" | grep -v ".orig$" | \
	sed -e "s,.*\.\(cnf\|cfg\)$,%config(noreplace) &," \
	    -e "s,.*ls-R$,%ghost &," \
	    -e "s,^/usr/share/texmf/p\?dvips/config/config\.\(generic\|pdf\|ps\|www\)$,%config(noreplace) &," \
	    -e "s,^/usr/share/texmf/xdvi/XDvi,%config(noreplace) &," \
	    -e "s,^/usr/share/texmf/tex/generic/config/.*,%config(noreplace) &," \
	    -e "s,^/usr/html.*$,%doc texi2html-*/texi2html.html," \
	    -e "s,^.*/updmap$,%config(noreplace) &," \
		> filelist.full

find ${RPM_BUILD_ROOT}%{_datadir}/texmf -type d | \
	sed "s|^${RPM_BUILD_ROOT}|\%attr(-,root,root) \%dir |" >> filelist.full
echo "%dir %{_includedir}/kpathsea" >> filelist.full
%if %{build_latex2html}
cat <<EOF >> filelist.full
%attr(-,root,root) %dir %{_datadir}/latex2html
%attr(-,root,root) %dir %{_datadir}/latex2html/IndicTeX-HTML
%attr(-,root,root) %dir %{_datadir}/latex2html/L2hos
%attr(-,root,root) %dir %{_datadir}/latex2html/XyMTeX-HTML
%attr(-,root,root) %dir %{_datadir}/latex2html/cweb2html
%attr(-,root,root) %dir %{_datadir}/latex2html/docs
%attr(-,root,root) %dir %{_datadir}/latex2html/docs/changebar
%attr(-,root,root) %dir %{_datadir}/latex2html/docs/hthtml
%attr(-,root,root) %dir %{_datadir}/latex2html/docs/psfiles
%attr(-,root,root) %dir %{_datadir}/latex2html/example
%attr(-,root,root) %dir %{_datadir}/latex2html/foilhtml
%attr(-,root,root) %dir %{_datadir}/latex2html/icons
%attr(-,root,root) %dir %{_datadir}/latex2html/makeseg
%attr(-,root,root) %dir %{_datadir}/latex2html/styles
%attr(-,root,root) %dir %{_datadir}/latex2html/texinputs
%attr(-,root,root) %dir %{_datadir}/latex2html/versions
EOF
%endif

# subpackages
grep -v "/doc/" filelist.full | grep latex |
	grep -v "/fonts/" 			> filelist.latex
grep 'bin/pstoimg$' filelist.full >> filelist.latex || :
grep 'bin/texexpand$' filelist.full >> filelist.latex || :

# Xdvi goes into a separate package, except for its app-default file
# which texconfig apparently needs.
grep -v "/doc/" filelist.full | grep xdvi | grep -v /XDvi | \
	grep -v "/usr/share/texmf/tex"		> filelist.xdvi

grep -v "/doc/" filelist.full | grep dvips | \
	grep -v 'xdvipaper\.dvips' | \
	grep -v "/usr/share/texmf/tex"		> filelist.dvips
echo "%{_bindir}/dvi2fax"			>> filelist.dvips
echo "%{_bindir}/dvired"			>> filelist.dvips
echo "%{_mandir}/man1/dvi2fax.1.gz"		>> filelist.dvips
echo "%{_mandir}/man1/dvired.1.gz"		>> filelist.dvips

grep -v "/doc/" filelist.full | grep -v afm | \
	grep "/usr/share/texmf/fonts" > filelist.fonts.tmp
%if !%{enable_japanese}
# Filter out doubles with uniq later
grep "/usr/share/texmf/fonts/tfm/jp" filelist.full >> filelist.fonts.tmp
grep "/usr/share/texmf/fonts/vf/ptex" filelist.full >> filelist.fonts.tmp
%endif
echo "%{_bindir}/MakeTeXPK"			>> filelist.fonts.tmp
echo "%{_bindir}/access"			>> filelist.fonts.tmp
echo "%{_bindir}/fmtutil"			>> filelist.fonts.tmp
echo "%{_bindir}/gftodvi"			>> filelist.fonts.tmp
echo "%{_bindir}/gftopk"			>> filelist.fonts.tmp
echo "%{_bindir}/gftype"			>> filelist.fonts.tmp
echo "%{_bindir}/gsftopk"			>> filelist.fonts.tmp
echo "%{_bindir}/inimf"				>> filelist.fonts.tmp
echo "%{_bindir}/kpsepath"			>> filelist.fonts.tmp
echo "%{_bindir}/kpsestat"			>> filelist.fonts.tmp
echo "%{_bindir}/kpsetool"			>> filelist.fonts.tmp
echo "%{_bindir}/kpsewhich"			>> filelist.fonts.tmp
echo "%{_bindir}/kpsexpand"			>> filelist.fonts.tmp
echo "%{_bindir}/mf"				>> filelist.fonts.tmp
echo "%{_bindir}/mf-nowin"			>> filelist.fonts.tmp
echo "%{_bindir}/mft"				>> filelist.fonts.tmp
echo "%{_bindir}/mfw"				>> filelist.fonts.tmp
echo "%{_bindir}/mktexfmt"			>> filelist.fonts.tmp
echo "%{_bindir}/mktexlsr"			>> filelist.fonts.tmp
echo "%{_bindir}/mktexmf"			>> filelist.fonts.tmp
echo "%{_bindir}/mktexpk"			>> filelist.fonts.tmp
echo "%{_bindir}/mktextfm"			>> filelist.fonts.tmp
echo "%{_bindir}/ps2pk"				>> filelist.fonts.tmp
echo "%{_bindir}/texhash"			>> filelist.fonts.tmp
echo "%{_bindir}/virmf"				>> filelist.fonts.tmp
echo "%{_datadir}/info/kpathsea.info.gz"	>> filelist.fonts.tmp
echo "%{_datadir}/info/web2c.info.gz"		>> filelist.fonts.tmp
echo "%{_datadir}/info/web2c.info-1.gz"		>> filelist.fonts.tmp
echo "%{_datadir}/info/web2c.info-2.gz"		>> filelist.fonts.tmp
echo "%{_datadir}/info/web2c.info-3.gz"		>> filelist.fonts.tmp
echo "%{_datadir}/info/web2c.info-4.gz"		>> filelist.fonts.tmp
echo "%config(noreplace) %{_datadir}/texmf/web2c/fmtutil.cnf"			>> filelist.fonts.tmp
echo "%config(noreplace) %{_datadir}/texmf/web2c/mktex.cnf" 			>> filelist.fonts.tmp
echo "%config(noreplace) %{_datadir}/texmf/web2c/texmf.cnf" 			>> filelist.fonts.tmp
echo "%config(noreplace) %{_datadir}/texmf/omega/lambda/misc/omarab.cfg"	>> filelist.fonts.tmp
echo "%config(noreplace) %{_datadir}/texmf/omega/lambda/misc/omlgc.cfg"		>> filelist.fonts.tmp
echo "%config(noreplace) %{_datadir}/texmf/pdftex/config/pdftex.cfg"		>> filelist.fonts.tmp
echo "%config(noreplace) %{_datadir}/texmf/tex/cyrplain/config/cyrtex.cfg"	>> filelist.fonts.tmp
echo "%config(noreplace) %{_datadir}/texmf/tex/generic/babel/frenchb.cfg"	>> filelist.fonts.tmp
echo "%config(noreplace) %{_datadir}/texmf/tex/generic/babel/hyphen.cfg"	>> filelist.fonts.tmp
echo "%config(noreplace) %{_datadir}/texmf/tex/generic/config/fontmath.cfg"	>> filelist.fonts.tmp
echo "%config(noreplace) %{_datadir}/texmf/tex/generic/config/fonttext.cfg"	>> filelist.fonts.tmp
echo "%config(noreplace) %{_datadir}/texmf/tex/generic/config/preload.cfg"	>> filelist.fonts.tmp
echo "%config(noreplace) %{_datadir}/texmf/xdvi/XDvi"				>> filelist.fonts.tmp
echo "%config(noreplace) %{_datadir}/texmf/web2c/updmap.cfg"			>> filelist.fonts.tmp
echo "%{_datadir}/texmf/web2c/mf-nowin.base"	>> filelist.fonts.tmp
echo "%{_datadir}/texmf/web2c/mf.base"		>> filelist.fonts.tmp
echo "%{_datadir}/texmf/web2c/mf.pool"		>> filelist.fonts.tmp
echo "%{_datadir}/texmf/web2c/mfw.base"		>> filelist.fonts.tmp
echo "%{_datadir}/texmf/web2c/plain.base"	>> filelist.fonts.tmp
echo "%{_datadir}/texmf/web2c/mktex.opt"	>> filelist.fonts.tmp
echo "%{_datadir}/texmf/web2c/mktexdir"		>> filelist.fonts.tmp
echo "%{_datadir}/texmf/web2c/mktexdir.opt"	>> filelist.fonts.tmp
echo "%{_datadir}/texmf/web2c/mktexnam"		>> filelist.fonts.tmp
echo "%{_datadir}/texmf/web2c/mktexnam.opt"	>> filelist.fonts.tmp
echo "%{_datadir}/texmf/web2c/mktexupd"		>> filelist.fonts.tmp
echo "%{_mandir}/man1/MakeTeXPK.1.gz"		>> filelist.fonts.tmp
echo "%{_mandir}/man1/access.1.gz"		>> filelist.fonts.tmp
echo "%{_mandir}/man1/gftodvi.1.gz"		>> filelist.fonts.tmp
echo "%{_mandir}/man1/gftopk.1.gz"		>> filelist.fonts.tmp
echo "%{_mandir}/man1/gftype.1.gz"		>> filelist.fonts.tmp
echo "%{_mandir}/man1/gsftopk.1.gz"		>> filelist.fonts.tmp
echo "%{_mandir}/man1/inimf.1.gz"		>> filelist.fonts.tmp
echo "%{_mandir}/man1/kpsepath.1.gz"		>> filelist.fonts.tmp
echo "%{_mandir}/man1/kpsestat.1.gz"		>> filelist.fonts.tmp
echo "%{_mandir}/man1/kpsetool.1.gz"		>> filelist.fonts.tmp
echo "%{_mandir}/man1/kpsewhich.1.gz"		>> filelist.fonts.tmp
echo "%{_mandir}/man1/kpsexpand.1.gz"		>> filelist.fonts.tmp
echo "%{_mandir}/man1/mf.1.gz"			>> filelist.fonts.tmp
echo "%{_mandir}/man1/mft.1.gz"			>> filelist.fonts.tmp
echo "%{_mandir}/man1/mktexlsr.1.gz"		>> filelist.fonts.tmp
echo "%{_mandir}/man1/mktexmf.1.gz"		>> filelist.fonts.tmp
echo "%{_mandir}/man1/mktexpk.1.gz"		>> filelist.fonts.tmp
echo "%{_mandir}/man1/mktextfm.1.gz"		>> filelist.fonts.tmp
echo "%{_mandir}/man1/ps2pk.1.gz"		>> filelist.fonts.tmp
echo "%{_mandir}/man1/texhash.1.gz"		>> filelist.fonts.tmp
echo "%{_mandir}/man1/virmf.1.gz"		>> filelist.fonts.tmp
echo "%{_mandir}/man5/fmtutil.cnf.5.gz"		>> filelist.fonts.tmp
echo "%{_mandir}/man8/fmtutil.8.gz"		>> filelist.fonts.tmp
echo "%ghost /usr/share/texmf/ls-R"		>> filelist.fonts.tmp
# (lib)kpathsea not really necessary, but -fonts is now central package
grep %{_datadir}/texmf/fontname filelist.full	>> filelist.fonts.tmp
echo "%{_libdir}/libkpathsea.a"			>> filelist.fonts.tmp
grep %{_includedir}/kpathsea filelist.full	>> filelist.fonts.tmp

cat filelist.fonts.tmp | sort | uniq -u > filelist.fonts

grep -v "/doc/" filelist.full | grep afm 	> filelist.afm

grep "/doc/" filelist.full 			> filelist.doc
echo "%attr(-,root,root) %dir %{_datadir}/texmf/doc" >> filelist.doc

# now files listed only once are in the tex package
cat filelist.full filelist.latex filelist.xdvi filelist.dvips \
   filelist.afm filelist.fonts filelist.doc | \
   sort | uniq -u > filelist.tex

# desktop entry things
cat > xdvi.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=DVI Viewer
Type=Application
Comment=DVI viewer for TeX DVI files
Icon=gnome-word.png
MiniIcon=mini-doc1.xpm
Exec=%{_bindir}/xdvi
MimeType=application/x-dvi
NoDisplay=true
EOF
mkdir $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor tetex --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications        \
  --add-category X-Red-Hat-Extra                       \
  --add-category Graphics                              \
  --add-category Application                           \
  xdvi.desktop

rm -f ${RPM_BUILD_ROOT}/var/lib/texmf/ls-R
head -n 1 ${RPM_BUILD_ROOT}/usr/share/texmf/ls-R > \
	  ${RPM_BUILD_ROOT}/var/lib/texmf/ls-R

%clean
rm -rf ${RPM_BUILD_ROOT}
rm -f filelist.*

# make sure ls-R used by teTeX is updated after an install

%post
[ -x %{_bindir}/texhash ] && /usr/bin/env - %{_bindir}/texhash 2> /dev/null
exit 0

%post latex
/sbin/install-info %{_infodir}/latex.info.gz %{_infodir}/dir
[ -x %{_bindir}/texconfig ] && /usr/bin/env - %{_bindir}/texconfig init >/dev/null 2>&1
[ -x %{_bindir}/texhash ] && /usr/bin/env - %{_bindir}/texhash 2> /dev/null
exit 0

%post xdvi
[ -x %{_bindir}/texhash ] && /usr/bin/env - %{_bindir}/texhash 2> /dev/null
/usr/bin/update-desktop-database %{_datadir}/applications
exit 0

%post dvips
/sbin/install-info %{_infodir}/dvips.info.gz %{_infodir}/dir
[ -x %{_bindir}/texhash ] && /usr/bin/env - %{_bindir}/texhash 2> /dev/null
exit 0

%post fonts
/sbin/install-info %{_infodir}/kpathsea.info.gz %{_infodir}/dir
/sbin/install-info %{_infodir}/web2c.info.gz %{_infodir}/dir
[ -x %{_bindir}/texhash ] && /usr/bin/env - %{_bindir}/texhash 2> /dev/null
exit 0

%post afm
[ -x %{_bindir}/texhash ] && /usr/bin/env - %{_bindir}/texhash 2> /dev/null
exit 0

%postun
[ -x %{_bindir}/texhash ] && /usr/bin/env - %{_bindir}/texhash 2> /dev/null
exit 0

%postun latex
[ -x %{_bindir}/texhash ] && /usr/bin/env - %{_bindir}/texhash 2> /dev/null
exit 0

%postun xdvi
[ -x %{_bindir}/texhash ] && /usr/bin/env - %{_bindir}/texhash 2> /dev/null
if [ "$1" = "0" ]; then
    /usr/bin/update-desktop-database %{_datadir}/applications
fi
exit 0

%postun dvips
[ -x %{_bindir}/texhash ] && /usr/bin/env - %{_bindir}/texhash 2> /dev/null
exit 0

%postun fonts
[ -x %{_bindir}/texhash ] && /usr/bin/env - %{_bindir}/texhash 2> /dev/null
exit 0

%postun afm
[ -x %{_bindir}/texhash ] && /usr/bin/env - %{_bindir}/texhash 2> /dev/null
exit 0

%preun fonts
if [ "$1" = 0 ]; then
	/sbin/install-info --delete %{_infodir}/web2c.info.gz %{_infodir}/dir
	/sbin/install-info --delete %{_infodir}/kpathsea.info.gz %{_infodir}/dir
fi

%preun dvips
if [ "$1" = 0 ]; then
	/sbin/install-info --delete %{_infodir}/dvips.info.gz %{_infodir}/dir
fi

%preun latex
if [ "$1" = 0 ]; then
	/sbin/install-info --delete %{_infodir}/latex.info.gz %{_infodir}/dir
fi

%files -f filelist.tex
%defattr(-,root,root)
%attr(644,root,root) %verify(not size md5 mtime) %{_datadir}/texmf/web2c/amstex.fmt
%attr(644,root,root) %verify(not size md5 mtime) %{_datadir}/texmf/web2c/bamstex.fmt
%attr(644,root,root) %verify(not size md5 mtime) %{_datadir}/texmf/web2c/bplain.fmt
%attr(644,root,root) %verify(not size md5 mtime) %{_datadir}/texmf/web2c/cont-en.efmt
%attr(644,root,root) %verify(not size md5 mtime) %{_datadir}/texmf/web2c/etex.efmt
%attr(644,root,root) %verify(not size md5 mtime) %{_datadir}/texmf/web2c/lambda.oft
%attr(644,root,root) %verify(not size md5 mtime) %{_datadir}/texmf/web2c/metafun.mem
%attr(644,root,root) %verify(not size md5 mtime) %{_datadir}/texmf/web2c/mpost.mem
%attr(644,root,root) %verify(not size md5 mtime) %{_datadir}/texmf/web2c/mptopdf.efmt
%attr(644,root,root) %verify(not size md5 mtime) %{_datadir}/texmf/web2c/omega.oft
%attr(644,root,root) %verify(not size md5 mtime) %{_datadir}/texmf/web2c/pdfetex.efmt
%attr(644,root,root) %verify(not size md5 mtime) %{_datadir}/texmf/web2c/pdftex.fmt
%attr(644,root,root) %verify(not size md5 mtime) %{_datadir}/texmf/web2c/tex.fmt

%files -f filelist.latex latex
%defattr(-,root,root)
%attr(644,root,root) %verify(not size md5 mtime) %{_datadir}/texmf/web2c/elatex.efmt
%attr(644,root,root) %verify(not size md5 mtime) %{_datadir}/texmf/web2c/hugelatex.fmt
%attr(644,root,root) %verify(not size md5 mtime) %{_datadir}/texmf/web2c/latex.fmt
%attr(644,root,root) %verify(not size md5 mtime) %{_datadir}/texmf/web2c/pdfelatex.efmt
%attr(644,root,root) %verify(not size md5 mtime) %{_datadir}/texmf/web2c/pdflatex.fmt

%files -f filelist.xdvi xdvi
%defattr(-,root,root)
%{_datadir}/applications/*

%files -f filelist.dvips dvips
%defattr(-,root,root)

%files -f filelist.fonts fonts
%defattr(-,root,root)
%attr(1777,root,root) %dir /var/lib/texmf
%attr(644,root,root) %verify(not size md5 mtime) /var/lib/texmf/ls-R
%attr(644,root,root) %verify(not size md5 mtime) %{_datadir}/texmf/web2c/mf.base
%config %{_sysconfdir}/cron.daily/tetex.cron

%files -f filelist.afm afm
%defattr(-,root,root)

%files -f filelist.doc doc
%defattr(-,root,root)

%changelog
* Wed Nov 14 2007 X/OS Linux Team <xoslinux@xos.nl> 2.0.2-22.0.1.EL4.10.XOS.1
- Build for X/OS Linux 4.
- X/OS Linux source rpm based on tetex-2.0.2-22.0.1.EL4.10.src.rpm
  (md5sum of original source rpm: ee5da4d13ebc89ca506c862e66a58116).

* Fri Nov  2 2007 Jindrich Novy <jnovy@redhat.com> 2.0.2-22.0.1.EL4.10
- fix t1lib flaw CVE-2007-4033 (#356691)
Resolves: #356691

* Thu Nov  1 2007 Jindrich Novy <jnovy@redhat.com> 2.0.2-22.0.1.EL4.9
- fix CVE-2007-4352 CVE-2007-5392 CVE-2007-5393, various xpdf flaws (#356691)
Resolves: #356691

* Fri Jul 27 2007 Jindrich Novy <jnovy@redhat.com> 2.0.2-22.0.1.EL4.8
- backport upstream fix for xpdf integer overflow CVE-2007-3387 (#248207)
Resolves: #248207

* Mon Jan  9 2006 Jindrich Novy <jnovy@redhat.com> 2.0.2-22.EL4.7
- apply additional patch to fix xpdf flaws from Ludwig Nussel
  (CVE-2005-3191, CVE-2005-3192 and CVE-2005-3193)

* Mon Dec 19 2005 Jindrich Novy <jnovy@redhat.com> 2.0.2-22.EL4.6
- apply more complete fix for CVE-2005-3193 (#175110) suggested by
  security response team, taken from xpdf
  
* Tue Dec  6 2005 Jindrich Novy <jnovy@redhat.com> 2.0.2-22.EL4.5
- apply patch from Derek Noonburg to fix CVE-2005-3193 (#175109)

* Thu Feb 10 2005 Jindrich Novy <jnovy@redhat.com> 2.0.2-22.EL4.4
- Add missing overflow check in Catalog.cc for CAN-2004-0888 (#135393)
- Suppress rpm -V warnings

* Mon Jan 17 2005 Jindrich Novy <jnovy@redhat.com> 2.0.2-22.EL4.3
- Add explicit casting to CAN-2004-0888 (former CESA-2004-007) patch
  to let it work on 64bit machines.
- Modified CAN-2005-0064 patch to the official one.

* Mon Jan 17 2005 Jindrich Novy <jnovy@redhat.com> 2.0.2-22.EL4.2
- Fix CAN-2005-0064 xpdf buffer overflow (#145055)

* Wed Dec 22 2004 Jindrich Novy <jnovy@redhat.com> 2.0.2-22.EL4
- Fix CAN-2004-1125 xpdf buffer overflow

* Fri Nov 19 2004 Jindrich Novy <jnovy@redhat.com> 2.0.2-21RH4.1
- Add xpdf overflow security patch (bug #140029) - CESA-2004-007

* Thu Sep 30 2004 Christopher Aillon <caillon@redhat.com> 2.0.2-21
- Prereq desktop-file-utils >= 0.9

* Tue Sep 14 2004 Tim Waugh <twaugh@redhat.com> 2.0.2-20
- Update desktop database for XDvi (bug #131627).
- Fix xdvi.desktop file (bug #131627).

* Fri Sep 10 2004 Tim Waugh <twaugh@redhat.com>
- Fix /usr/bin/xdviprint (bug #131915).

* Tue Aug  3 2004 Tim Waugh <twaugh@redhat.com> 2.0.2-19
- Enable latex2html on all architectures.

* Thu Jul 29 2004 Tim Waugh <twaugh@redhat.com>
- Install mendex man page in correct encoding and location (bug #128783).

* Thu Jul  7 2004 Tim Waugh <twaugh@redhat.com> 2.0.2-18
- Fixed ambiguous sed expressions (bug #127377).

* Thu Jul  1 2004 Tim Waugh <twaugh@redhat.com> 2.0.2-17
- Rebuilt.

* Thu Jul  1 2004 Leonard den Ottolander <leonard * den ottolander nl>
- Minor other file moves

* Thu Jul  1 2004 Tim Waugh <twaugh@redhat.com> 2.0.2-16
- Rebuilt.

* Wed Jun 30 2004 Ed Hill <ed@eh3.com>
- english (not japanese) default lang for latex2html

* Mon Jun 28 2004 Leonard den Ottolander <leonard * den ottolander nl>
- Move some font utilities, font sources and other relevant files to
  tetex-fonts.
- Clean up inter-dependencies (bug #11721).

* Fri Jun 25 2004 Tim Waugh <twaugh@redhat.com>
- Fix pdftex.map (bug #126311).

* Thu Jun 24 2004 Tim Waugh <twaugh@redhat.com>
- tetex-xdvi requires tetex until it can be fixed properly (bug #11721).

* Wed Jun 23 2004 Tim Waugh <twaugh@redhat.com> 2.0.2-15
- Rebuilt.

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com> 2.0.2-14
- rebuilt

* Fri Mar 26 2004 Tim Waugh <twaugh@redhat.com>
- Update varioref (bug #118821).

* Thu Mar 25 2004 Tim Waugh <twaugh@redhat.com> 2.0.2-13
- Fix parallel builds.
- Remove install path from cfgcache.pm (bug #119104).

* Fri Mar 19 2004 Tim Waugh <twaugh@redhat.com> 2.0.2-12.2
- Rebuilt.

* Fri Mar  5 2004 Tim Waugh <twaugh@redhat.com>
- XDvi desktop file fix (bug #117549).

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com> 2.0.2-12.1
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Jan 30 2004 Tim Waugh <twaugh@redhat.com> 2.0.2-11
- Updated LaTeX2HTML Japanese patch (bug #114630).
- Updated pTeX to 3.1.3 (bug #114630).

* Wed Dec  3 2003 Tim Waugh <twaugh@redhat.com> 2.0.2-10
- Fix bad C code (bug #111278).

* Fri Nov 21 2003 Tim Waugh <twaugh@redhat.com>
- Build requires ed (bug #110571).

* Fri Nov  7 2003 Tim Waugh <twaugh@redhat.com>
- Better resources for XDvi (bug #102311).
- Add missing listings.sty (bug #108425).

* Wed Sep 10 2003 Dan Walsh <dwalsh@redhat.com> 2.0.2-9
- Bump number to get it to build on 4.0E

* Fri Aug  8 2003 Tim Waugh <twaugh@redhat.com> 2.0.2-8
- Fix pdvips (bug #101951).  Patch from MATSUURA Takanori.
- Fix pxdvi (bug #101954).  Patch from MATSUURA Takanori.
- Build requires autoconf213 (bug #101338).

* Wed Jul 30 2003 Tim Waugh <twaugh@redhat.com> 2.0.2-7
- Mark *.cfg as config files (bug #84780).
- Put '.' back into TEXCONFIG (bug #98185).

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com> 2.0.2-6
- rebuilt

* Wed May 21 2003 Tim Waugh <twaugh@redhat.com> 2.0.2-5
- Fixes from bug #89478.
- The latex subpackage requires dvips (bug #90827).

* Thu May  1 2003 Tim Waugh <twaugh@redhat.com> 2.0.2-4
- Allow build directory to contain '_'.
- Ship l2hconf.pm (bug #87900).
- Updated pxdvi patch (bug #89478).  No longer need crash, 58256 patches.
- Use Xaw3d (bug #86561).

* Thu Apr 24 2003 Tim Waugh <twaugh@redhat.com>
- Fix dvipdfm tmpfile patch (bug #88842).

* Thu Mar 13 2003 Tim Waugh <twaugh@redhat.com> 2.0.2-3
- Use _smp_mflags, except for pTeX.
- Add japanese.map back in, and integrate it into pdvips/config/*.map.
- Make updmap use 'mktemp -d'.
- Fix pdvips config file search path in texmf.cnf.

* Wed Mar 12 2003 Tim Waugh <twaugh@redhat.com> 2.0.2-2
- Updated latex2html.
- Renumber sources and patches.
- Make dvipdft use 'mktemp -d', and don't use tmpnam() in dvipdfm.
- Apply badscriptj patch again.
- Don't need extra texconfig init now.
- Clean up %%prep section.
- No longer need protos patch.
- Make marvosym-rightarrow.patch apply with -p1.
- Updated ptex.
- Adapted dvipsk-jdvips, pxdvi, prerq patches.
- Dropped japanese-psfonts patch; no longer seems to apply.
- No longer need xdvik-dot, ptex-target patches.
- No need to update ConTeXt, epsf.tex, pdftex.def, epstopdf, fancybox.sty.
- Remove dvi-to-ps.fpi, testpage.dvi.
- Don't strip binaries in 'make install'.
- Ported badscript patch, adding xdvizilla fix.

* Sun Mar  9 2003 Tim Waugh <twaugh@redhat.com> 2.0.2-1
- 2.0.2.
- No longer need dvips security, R0 patches.
- Disable Japanese support for now.
- Don't patch language.dat (need a better way of doing that anyway).
- Don't update pdftex.
- No longer need teTeX-texmf-pdftex.diff, arch, tektronix, acrobat-subr,
  xaw3d, thumbpdf, images, man-typo, thumbpdf, bison patches.
- Don't apply badscript patch for now (needs adapting).
- Port texdoc-defaults, fmtutil patches.
- No longer need to update texinfo.tex or marvosym.sty.
- Avoid using subshells in %%build.
- Don't run updmap (no longer needed?).

* Tue Feb 18 2003 Tim Waugh <twaugh@redhat.com> 1.0.7-66
- Really don't ship readlink(1) (bug #84200).

* Tue Feb 18 2003 Tim Waugh <twaugh@redhat.com> 1.0.7-65
- Don't ship printconf test page for DVI.
- Don't ship readlink(1), now that it's in the coreutils package (bug #84200).

* Wed Jan 22 2003 Tim Powers <timp@redhat.com> 1.0.7-64
- rebuilt

* Sat Jan  4 2003 Jeff Johnson <jbj@redhat.com> 1.0.7-63
- use internal dep generator.

* Fri Dec 13 2002 Tim Powers <timp@redhat.com> 1.0.7-62
- don't use internal dep generator (for now)

* Mon Nov 25 2002 Tim Waugh <twaugh@redhat.com> 1.0.7-61
- Use Guiseppe Ghib's texmf-gg archive version 1.0.3k/1.0.2k.
- No longer need cx, Z patches.
- Remove backup file.

* Mon Nov 25 2002 Tim Waugh <twaugh@redhat.com> 1.0.7-60
- Fix bison patch.

* Thu Nov  7 2002 Tim Waugh <twaugh@redhat.com> 1.0.7-59
- Revert 'dvips assumes -R' for now (dvips-secure, dvips-output).
- Fix bison error.
- Own more directories (bug #73978).

* Thu Oct 24 2002 Tim Waugh <twaugh@redhat.com> 1.0.7-58
- Tweak file list counts.
- Don't install files not packaged.
- Own another directory (bug #73978).
- Fix 'dvips -R0' (bug #71650).
- Send dvips output to default location (bug #71650).

* Mon Sep 23 2002 Tim Waugh <twaugh@redhat.com> 1.0.7-57.1
- Prevent insecure use of system() in dvips.

* Thu Aug 29 2002 Tim Waugh <twaugh@redhat.com> 1.0.7-57
- Remove the print filter for DVI; it can't work for included images
  anyway.

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com> 1.0.7-56
- rebuilt with gcc-3.2 (we hope)

* Tue Jul 23 2002 Tim Waugh <twaugh@redhat.com> 1.0.7-55
- Desktop file fixes (bug #69509).

* Mon Jul 15 2002 Tim Waugh <twaugh@redhat.com> 1.0.7-54
- Use desktop-file-install.

* Wed Jul 10 2002 Tim Waugh <twaugh@redhat.com> 1.0.7-53
- Reintroduce LaTeX life-extension.
- Adjusted file list counts.

* Mon Jul  8 2002 Tim Waugh <twaugh@redhat.com> 1.0.7-52
- Remove --insecure option from dvips since -R0 already does it.
- Fix another pxdvi crash (bug #63996).

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 1.0.7-51
- automated rebuild

* Fri Jun 21 2002 Tim Waugh <twaugh@redhat.com> 1.0.7-50
- Don't ship unneeded log files (bug #65689).
- Fix pxdvi crash (bug #63996).
- Adjust file lists.

* Tue May 28 2002 Tim Waugh <twaugh@redhat.com> 1.0.7-49
- Make dvips assume -R by default.
- Don't make dvilj package any more.  Use dvips and ghostscript instead
  (bug #65391).
- Don't require gimp-print to build (any more).
- File list tweaking.

* Mon May 27 2002 Tim Waugh <twaugh@redhat.com> 1.0.7-48
- Change tetex-doc group to Documentation (bug #63049).
- Fix some man pages (bug #63537, bug #63538).
- Increase memory limit for xmltex (bug #64752).
- pdftex: thumbpdf patch.
- Updated pdftex.def (bug #63712).
- Updated epstopdf (bug #65021).
- Updated fancybox.sty (bug #65394).
- Add ghostscript, gimp-print to tetex-latex build requires list
  (shouldn't need to list gimp-print explicitly really).
- Add netpbm-progs to tetex-latex build requires and requires lists.

* Fri Apr 12 2002 Tim Waugh <twaugh@redhat.com> 1.0.7-47
- Apply changes from Tom Moertel <tom@moertel.com> (bug #63257):
  - Added patch that works around font (printing) bug in Acrobat Reader 5.

* Tue Apr  9 2002 Tim Waugh <twaugh@redhat.com> 1.0.7-46
- Fix bug #62285.
- Don't strip binaries explicitly (bug #62568).
- Only ship xdvipaper.dvips in one package (bug #62754).
- Adjust file list counts.

* Thu Mar 21 2002 Tim Waugh <twaugh@redhat.com> 1.0.7-45
- Updated texinfo.tex (bug #60968).
- Updated latex2html.
- JA patch for latex2html (bug #61136).

* Tue Feb 26 2002 Tim Waugh <twaugh@redhat.com> 1.0.7-44
- Hopefully fix bug #60164 completely.

* Mon Feb 25 2002 Tim Waugh <twaugh@redhat.com> 1.0.7-43
- Run 'texconfig init' in an appropriate %%post script (bug #59950).
- Don't ship CVS internal files (bug #60055).
- Try to fix up pdftex.map a little (bug #60164).

* Tue Feb 19 2002 Tim Waugh <twaugh@redhat.com> 1.0.7-42
- Updated ConTeXt to more useful/stable version 2002-01-28 (bug #59390).
- Unset HOME before building (bug #59932).
- Use generalized latex2html build-or-not macros (bug #59940).
- Adjust file list counts for sanity check.

* Thu Feb 14 2002 Tim Waugh <twaugh@redhat.com> 1.0.7-41
- Filter out bad requires (bug #59819).
- Put pstoimg and texexpand in tetex-latex where they belong.
- Adjust file list counts for sanity check accordingly.

* Tue Feb 12 2002 Tim Waugh <twaugh@redhat.com> 1.0.7-40
- Mark XDvi noreplace (bug #59636).
- Set xdvi wwwBrowser resource to mozilla instead of netscape (bug #59636).
- Mark files in /usr/share/texmf/tex/generic/config/ %%config(noreplace)
  (bug #59615).
- New pdfetex now also generated from pdftex 0.14h source (bug #59390).
- Adjust file list counts for sanity check.

* Wed Jan 16 2002 Tim Waugh <twaugh@redhat.com> 1.0.7-39
- Updated marvosym.sty (bug #58025).
- Updated latex2html (bug #58199).
- Ship xdviprint and xdvipaper.dvips (bug #58256).
- Fix latex2html not to use DB_File.

* Tue Dec 11 2001 Tim Waugh <twaugh@redhat.com> 1.0.7-38.2
- Build in Red Hat Linux 7.2 environment.
- Put TEXMFLOCAL in the search path.

* Thu Dec  6 2001 Tim Waugh <twaugh@redhat.com> 1.0.7-38
- Rebuild with new gcc.
- Don't specify system include directories explicitly.

* Mon Nov 12 2001 Tim Waugh <twaugh@redhat.com> 1.0.7-37
- Update texdoc default helper applications (bug #55874).
- Make pxdvi generate fonts when they're missing (bug #55883).
- Mention 'texconfig' in main package %%description.
- Mark dvips config.* noreplace.
- Mark pdvips config files %%config(noreplace).
- Sanity check the file lists.
- Set TEXMFLOCAL.
- Fix comment in tetex.cron (bug #56115).
- Adjust unused font removal time to 180 days (bug #56115).
- Add comment in texmf.cnf about how to use HOMETEXMF (bug #57063).

* Mon Nov  5 2001 Tim Waugh <twaugh@redhat.com> 1.0.7-36
- Rebuild in sane build environment (bug #54961).
- Enable HOMETEXMF (bug #55286).
- More texmf.cnf modifications for xmltex.

* Fri Oct 12 2001 Tim Waugh <twaugh@redhat.com> 1.0.7-35
- Set up TEXINPUTS for pdfxmltex.
- Own more directories (bug #51381, bug #54527).

* Tue Oct  9 2001 Tim Waugh <twaugh@redhat.com> 1.0.7-34
- Adjust resource limits for pdfxmltex.

* Sun Oct  7 2001 Tim Waugh <twaugh@redhat.com> 1.0.7-33
- Move XDvi app-defaults file to main package (bug #45865).
- Rebuild to fix bug #54336.

* Tue Sep 25 2001 Tim Waugh <twaugh@redhat.com> 1.0.7-32
- Fix up configure scripts for libwww detection in pxdvik.

* Mon Sep 17 2001 Tim Waugh <twaugh@redhat.com> 1.0.7-31
- Choose a package for files owned by multiple packages (bug #51584).
- Updated pTeX to 2.1.11, using patch from MATSUURA Takanori (bug #51817).
- Updated pdftex to 0.14h (bug #48261, bug #46067, bug #52902).
- Run texconfig init again at the end of installation, to take account of
  things installed by hand (like pdftex).
- Don't run reautoconf; it shouldn't be needed anyway.
- Fix build problems arising when Japanese is disabled.

* Fri Sep  7 2001 Tim Powers <timp@redhat.com> 1.0.7-30
- rebuild to see if that tempfile in /usr/bin doesn't go away (possible build anomoly that can't be reproduced)

* Mon Sep 3 2001 Jens Petersen <petersen@redhat.com> 1.0.7-29
- fix dvipsk-j Makemake.in so that prologues install in right place (#52490)

* Tue Aug 21 2001 Tim Waugh <twaugh@redhat.com> 1.0.7-28
- Don't ship backup file texmf.cnf.pdvips (bug #52174).
- Actually ship the patched texmf.cnf file (bug #48842).
- Japanese xdvik patch version 1.04.
- Build Japanese-patched xdvik as 'pxdvik' bug (bug #52089).

* Tue Aug  7 2001 Tim Waugh <twaugh@redhat.com> 1.0.7-27
- updmap is a config file (bug #50854).
- Use a different config.ps for pdvips (bug #48842).
- Run updmap in dvips/config and pdvips/config (bug #37513).
- Put pdvips-specific settings in texmf.cnf (various, incl. bug #48842).

* Fri Aug  3 2001 Tim Waugh <twaugh@redhat.com> 1.0.7-26
- Don't put texi2html.html in /usr/html (bug #50643).
- Newer Japanese dvipsk patch (bug #46785).
- Build Japanese-patched dvipsk as 'pdvips' like SuSE (bug #46785).
- Don't apply patch 46, and hopefully fix bug #48842.

* Tue Jul 24 2001 Tim Waugh <twaugh@redhat.com> 1.0.7-25
- Build requires Xaw3d-devel (bug #49718).

* Fri Jul  6 2001 Tim Waugh <twaugh@redhat.com> 1.0.7-24
- Change Copyright: to License:.

* Fri Jun 15 2001 Tim Waugh <twaugh@redhat.com> 1.0.7-23
- Spec file clean-ups (texmf-gg includes LaTeX 01/06/2000).

* Wed Jun 13 2001 Tim Waugh <twaugh@redhat.com> 1.0.7-22
- XDvi resources: mfmode back to cx (bug #44182).
- Patch from Oliver Paukstadt <oliver.paukstadt@millenux.com>:
  - ported to IBM zSeries (s390x, 64 bit)

* Mon Jun 11 2001 Tim Waugh <twaugh@redhat.com> 1.0.7-21
- Use Guiseppe Ghib's texmf-gg archive.

* Fri Jun  8 2001 Tim Waugh <twaugh@redhat.com> 1.0.7-20
- LaTeX 01/06/2000.

* Fri May 25 2001 Tim Waugh <twaugh@redhat.com> 1.0.7-19
- Revert 'Run updmap to get psfonts.map updates', it breaks dvips
  completely (bug #42255).

* Fri May 18 2001 Tim Waugh <twaugh@redhat.com> 1.0.7-18
- Don't use PID in temporary file names for scripts (bug #41269).

* Tue May  8 2001 Tim Waugh <twaugh@redhat.com> 1.0.7-17
- More backup files not to ship (bug #35801).
- Remove the ^Z from picins.sty (bug #36497).
- Run updmap to get psfonts.map updated (bugs #17333, #37513).

* Mon Apr  9 2001 Tim Waugh <twaugh@redhat.com> 1.0.7-16
- Updated texinfo translation files (bug #8682).
- Make tetex-dvips require psutils (bug #13216).
- Don't ship backup file from cx patch.
- Make japanese.map work (bug #32134).
- Make xdvi prettier (bug #17415).
- Fix PDF images (bug #32703).

* Tue Mar 27 2001 Crutcher Dunnavant <crutcher@redhat.com> 1.0.7-15
- add PAGEsize to mf40-tetex_filters

* Mon Mar 19 2001 Tim Waugh <twaugh@redhat.com> 1.0.7-14
- Update dvipsk-jpatch to p1.5d (fixes bug #32121).

* Tue Feb  6 2001 Tim Waugh <twaugh@redhat.com>
- Turn on Japanese changes (bug #26249).
- Japanese support clashed with xaw3d patch; fixed up.
- Replace dvi-to-ps (rhs-printfilters) with mf40-tetex_filters
  (printconf).  Create testpage.dvi (from tex/latex/base/testpage.tex).
- Default to lj instead of cx in gray.mf and black.mf (bug #25988).
- Build requires VFlib2-devel.

* Wed Jan 24 2001 Tim Waugh <twaugh@redhat.com>
- Update tetex-dvilj description.
- Patch latex2html to support tabularx environments better (bug #24852).
- Make xdvi work with files that end in '.' (bug #11478).
- Mark ls-R as %%ghost (bug #12275).
- Build requires w3c-libwww-devel.

* Fri Dec 29 2000 Jeff Johnson <jbj@redhat.com>
- sync with Mandrake version.
- Revert gcc296 patch, no longer needed.
- Enable i18n hyphenation for several languages (#11570,#17040).
- jadetex hash is now 50000 (#9092)
- create symlinks for Euler fonts (#9782).
- correct comment tetex.cron (#10022).
- unset TEXINPUTS in %%build/%%install (#10412).
- use Xaw3d rather than Xaw (#17415).
- insert thumbnails into pdflatex correctly (#19278).
- update to texi2html-1.64 (#20604).
- add latex2html (but not on ia64) (#16966).
- hacks to avoid accidental version clash with system libraries (#21263).
- rebuild with gcc-2.96-69 so that latex.fmt is built (#22838).

* Thu Oct 19 2000 Jeff Johnson <jbj@redhat.com>
- merge japanese changes (disabled for now, per msw@redhat.com).
- add support for Icelandic (Richard Allen <ra@hp.is>).

* Thu Aug 29 2000 ISHIKAWA Mutsumi <ishikawa@redhat.com>
- rebuilt on RedHat7.0 again

* Mon Aug 28 2000 Masato Taruishi <taru@debian.org>
- Fixed xdvik-ja to work in 1.0.7 correctly.
- Added a Japanese fontdata for a Japanized dvipsk.

* Fri Aug 25 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0.7-8mdk
- increased trie size for allowing more hyphenation patterns (i18n).

* Thu Aug 24 2000 ISHIKAWA Mutsumi <ishikawa@redhat.com>
- Japanese enbaled

* Wed Jul 19 2000 Trond Eivind Glomsrd <teg@redhat.com>
- fix man pages in man, not man1
- use %%{_tmppath}

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul  2 2000 Jakub Jelinek <jakub@redhat.com>
- Rebuild with new C++

* Thu Jun 22 2000 Preston Brown <pbrown@redhat.com>
- use _infodir

* Wed Jun 21 2000 Preston Brown <pbrown@redhat.com>
- noreplace *.cnf

* Fri Jun 02 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0.7-7mdk
- updated the LaTeX hyperref package to version 6.70f for getting jadetex
  working.
- added support for spanish, portuguese and sweden pattern hyphenation in the
  default LaTeX format files (hope trie values are enough...).

* Wed May 31 2000 Matt Wilson <msw@redhat.com>
- patched for NORETURN functions in gcc 2.96, rebuilt against new libstdc++

* Wed May  5 2000 Bill Nottingham <notting@redhat.com>
- remove explicit xpm-devel prereq (subsumed into XFree86)
- fixes for ia64

* Sat Apr 29 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0.7-5mdk
- changed arrays texmf.cnf the array value for jadetex, pdfjadetex, according to  the Christoph, Rahtz, Pepping's "Installing JadeTeX" document.

* Mon Mar 20 2000 Jeff Johnson <jbj@redhat.com>
- Sync with Mandrake (tetex-1.0.7-2mdk).
- update to teTeX-texmf-1.0.2.tar.

* Tue Mar  7 2000 Jeff Johnson <jbj@redhat.com>
- rebuild for sparc baud rates > 38400.

* Fri Feb 11 2000 Giuseppe Ghib <ghibo@mandrakesoft.com>
- updated to version 1.0.7.
- merged k6 and arm patches into teTeX-1.0-arch.patch
- sligtly increased internal array main_memory, so that latex
  doesn't have problems with big macro packages such as pstricks
  or Xy-TeX.
- integrate teTeX-1.0-tektrokix.patch (fixes a typo) from Jeff
  Johnson <jbj@redhat.com>.

* Wed Feb 09 2000 Preston Brown <pbrown@redhat.com>
- wmconfig entry gone.

* Mon Feb  7 2000 Jeff Johnson <jbj@redhat.com>
- compress man pages.

* Sat Jan 15 2000 Jeff Johnson <jbj@redhat.com>
- build for Red Hat 6.2 (and sync with Mandrake tetex-1.0.6-6mdk).
- always apply AMD K6 patch; won't hurt, and removes platform dependency.
- spelling correction (#7085).

* Wed Dec 08 1999 - David BAUDENS <baudens@mandrakesoft.com>
- AMD K6 is not an i686 processor (another)
- Replace $RPM_ARCH by %%{_target_cpu}

* Thu Nov 11 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- mark also config.pdf, config.www and config.generic as %config.
- added BuildPreReq.

* Fri Sep  3 1999 Jeff Johnson <jbj@redhat.com>
- mark /usr/share/texmf/dvips/config/config.ps as %config (#4842).

* Fri Sep  3 1999 Jeff Johnson <jbj@redhat.com>
- Create tetex-fonts to remove dependendency of xdvi on main tetex package.

* Mon Aug 30 1999 Jeff Johnson <jbj@redhat.com>
- Integrate Giuseppe's latest. Thanks for the fixes!

* Thu Aug 26 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- fine tuning subpackage package list.
- added teTeX dependence to package xdvi (it cannot works without fonts).

* Wed Aug 25 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- cleaned %clean. Now spec file support buildroot.
- added support for 'resolution' in dvi-to-ps.fpi as well as
  the config.generic file.
- fixed a problem in manpage links (reported by Dusan
  Gabrijelcic <dusan@kamra.e5.ijs.si>).

* Tue Aug 17 1999 Jeff Johnson <jbj@redhat.com>
- move /usr/bin/mfw to tetex-xdvi to remove tetex dependence on XFree86.

* Sun Aug 15 1999 Jeff Johnson <jbj@redhat.com>
- rebuild with VARTEXFONTS configured correctly.

* Thu Aug 12 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.0.6.
- merge in Giuseppe Ghib changes from mandrake package.
- dvi-to-ps.fpi: read postcript configuration settings (#3379).

* Wed Aug 04 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- fixed VARTEXFONTS path in config file.

* Sat Jun 26 1999 Giuseppe Ghib <ghibo@caesar.polito.it>
- mandrake adaptions.
- speed up TEXMFCNF path.

* Fri Jun 25 1999 Giuseppe Ghib <ghibo@caesar.polito.it>
- fixed new bugs reported by Thomas Esser (included
  patch 1.0.5-1.0.6-pre).
- added amstex, bamstex and bplain to the list of format files to build.

* Wed Jun 23 1999 Giuseppe Ghib <ghibo@caesar.polito.it>
- fixed and removed unneeded things in teTeX-1.0-texmfcnf.patch,
  according to Thomas Esser suggestions.

* Sun Jun 20 1999 Giuseppe Ghib <ghibo@caesar.polito.it>
- upgraded to teTeX 1.0.5.
- merged .spec file with Jeff Johnson's 1.0.1 .spec file from rawhide.

* Sun Jun 13 1999 Giuseppe Ghib <ghibo@caesar.polito.it>
- upgraded to teTeX 1.0 final.
- removed texmf.cnf external config file, and provided
  as patch.
- removed ``texconfig init'' (now it's included into 'make install').
- moved texmf unpacking to buildroot before 'make install'.
- added italian hyphenation.

* Tue Jun  8 1999 Jeff Johnson <jbj@redhat.com>
- upgrade to 1.0.1.
- add buildroot translated texmfmain for install (#1719)
- mark /usr/share/texmf/xdvi/XDvi as %config (#1067)
- generate texmf.cnf and then merge in old conventions

* Thu Jun 03 1999 Kayvan A. Sylvan <kayvan@sylvan.com>
- upgraded snapshot
- Fixed PATH setting for ``texconfig init''. As it was, you could
  not build a working teTeX on a machine with tetex installed.

* Thu Apr 01 1999 Cristian Gafton <gafton@redhat.com>
- upgraded snapshot

* Tue Mar 23 1999 Erik Troan <ewt@redhat.com>
- set limits for jadetex

* Tue Mar 23 1999 Cristian Gafton <gafton@redhat.com>
- I think I have got the buildroot problems right this time
- auto rebuild in the new build environment (release 15)

* Fri Mar 19 1999 Cristian Gafton <gafton@redhat.com>
- fix buildroot problems

* Mon Mar 15 1999 Michael Maher <mike@redhat.com>
- fixed BUG: 978

* Thu Mar 11 1999 Cristian Gafton <gafton@redhat.com>
- slight changes in the packaging (unpack texmf directly into the buildroot
  and build it there)
- added texmfsrc source tarball to comply with the license

* Mon Mar 07 1999 Michael Maher <mike@redhat.com>
- updated package

* Mon Jan 11 1999 Cristian Gafton <gafton@redhat.com>
- add patch to make it compile on the arm (RmS)
- build for glibc 2.1
- use tar hack instead of the cp -a to overcome cp's brokeness re: symlinks
  handling

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries
- enable italian formatting

* Mon Oct 05 1998 Cristian Gafton <gafton@redhat.com>
- requires ed
- Fixed obsoletes line
- credted the doc subpackage
- fully buildroot
- require dialog in the main package
- add support for wmconfig in for the xdvi package

* Fri Sep 11 1998 Cristian Gafton <gafton@redhat.com>
- upgrade to 0.9
- texmf-src package is gone
- use /var/lib/texmf instead of /var/tmp/texmf

* Sat Aug 22 1998 Jeff Johnson <jbj@redhat.com>
- make sub-packages depend on teTeX (problem #214)

* Fri Aug 21 1998 Jeff Johnson <jbj@redhat.com>
- eliminate environment when running texhash (problem #849)

* Mon Aug 17 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Feb  5 1998 Otto Hammersmith <otto@redhat.com>
- added install-info support (dvips, fontname and kpathsea)
- combined the two changelogs in the spec file.

* Tue Oct 14 1997 Michael Fulbright <msf@redhat.com>
- Fixed dvi-to-ps.fpi to create temp files more safely.

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Apr  8 1997 Michael Fulbright <msf@redhat.com>
- Removed afmdoit from file list (mistakenly added in release 3 rpm)

* Mon Mar 24 1997 Michael Fulbright <msf@redhat.com>
- Upgraded to tetex-lib to 0.4pl8 and fixed cron tmpwatch entry to not
  delete /var/lib/texmf/fonts and /var/lib/texmf/texfonts

* Fri Mar 07 1997 Michael Fulbright <msf@redhat.com>
- Upgraded to 0.4pl7.

* Mon Feb 17 1997 Michael Fulbright <msf@redhat.com>
- Upgraded to 0.4pl6, and fixed file permissions on /var/lib/texmf/texfonts
  so normal users could create fonts on demand.
